org.wildfly.swarm.config.infinispan.cache_container

## Class AsyncOperationsThreadPool<T extends AsyncOperationsThreadPool<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.infinispan.cache_container.AsyncOperationsThreadPool<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class AsyncOperationsThreadPool<T extends AsyncOperationsThreadPool<T>>
      extends HashMap

  Defines a thread pool used for asynchronous operations.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncOperationsThreadPool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Long` | `keepaliveTime()` Used to specify the amount of milliseconds that pool threads should be kept running when idle; if not specified, threads will run until the executor is shut down.
    `T` | `keepaliveTime(Long value)` Used to specify the amount of milliseconds that pool threads should be kept running when idle; if not specified, threads will run until the executor is shut down.
    `Integer` | `maxThreads()` The maximum thread pool size.
    `T` | `maxThreads(Integer value)` The maximum thread pool size.
    `Integer` | `minThreads()` The core thread pool size which is smaller than the maximum pool size.
    `T` | `minThreads(Integer value)` The core thread pool size which is smaller than the maximum pool size.
    `Integer` | `queueLength()` The queue length.
    `T` | `queueLength(Integer value)` The queue length.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### AsyncOperationsThreadPool

          public AsyncOperationsThreadPool()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### keepaliveTime

          public Long keepaliveTime()

      Used to specify the amount of milliseconds that pool threads should be kept running when idle; if not specified, threads will run until the executor is shut down.

    - #### keepaliveTime

          public T keepaliveTime(Long value)

      Used to specify the amount of milliseconds that pool threads should be kept running when idle; if not specified, threads will run until the executor is shut down.

    - #### maxThreads

          public Integer maxThreads()

      The maximum thread pool size.

    - #### maxThreads

          public T maxThreads(Integer value)

      The maximum thread pool size.

    - #### minThreads

          public Integer minThreads()

      The core thread pool size which is smaller than the maximum pool size. If undefined, the core thread pool size is the same as the maximum thread pool size.

    - #### minThreads

          public T minThreads(Integer value)

      The core thread pool size which is smaller than the maximum pool size. If undefined, the core thread pool size is the same as the maximum thread pool size.

    - #### queueLength

          public Integer queueLength()

      The queue length.

    - #### queueLength

          public T queueLength(Integer value)

      The queue length.

Copyright © 2018 JBoss by Red Hat. All rights reserved.